# eric4.Preferences.ConfigurationPages.DebuggerPython3Page

Module implementing the Debugger Python3 configuration page.

### Global Attributes

None

### Classes

DebuggerPython3Page | Class implementing the Debugger Python3 configuration page.

### Functions

create | Module function to create the configuration page.

## DebuggerPython3Page

Class implementing the Debugger Python3 configuration page.

### Derived from

ConfigurationPageBase, Ui_DebuggerPython3Page

### Class Attributes

None

### Methods

DebuggerPython3Page | Constructor
on_debugClientButton_clicked | Private slot to handle the Debug Client selection.
on_interpreterButton_clicked | Private slot to handle the Python interpreter selection.
save | Public slot to save the Debugger Python configuration.

#### DebuggerPython3Page (Constructor)

DebuggerPython3Page()

Constructor

#### DebuggerPython3Page.on_debugClientButton_clicked

on_debugClientButton_clicked()

Private slot to handle the Debug Client selection.

#### DebuggerPython3Page.on_interpreterButton_clicked

on_interpreterButton_clicked()

Private slot to handle the Python interpreter selection.

#### DebuggerPython3Page.save

save()

Public slot to save the Debugger Python configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up